<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/



namespace admin_application\link;

class SettingLink {

	public static function PowerGroups_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'PowerGroups/listPowerGroups';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'PowerGroups/listPowerGroups';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'PowerGroups/addPowerGroups';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'PowerGroups/editPowerGroups';
		$action_key_edit['power_groups_id'] = $array['power_groups_id'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'PowerGroups/savePowerGroups';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'PowerGroups/delPowerGroups';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'PowerGroups/delPowerGroups';
		$link_array['batdel'] = linkOut($action_key);

		$action_key['act'] = 'PowerGroups/setPowerGroups';
		$link_array['set'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function AdminUser_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'AdminUser/listAdminUser';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'AdminUser/listAdminUser';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'AdminUser/addAdminUser';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'AdminUser/editAdminUser';
		$action_key_edit['admin_member_id'] = $array['admin_member_id'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'AdminUser/saveAdminUser';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'AdminUser/delAdminUser';
		$link_array['batdel'] = linkOut($action_key);

		$action_key['act'] = 'AdminUser/setAdminUser';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'AdminUser/verifyAdminUser';
		$link_array['verify'] = linkOut($action_key);

		$action_key['act'] = 'AdminUser/selectAdminUser';
		$link_array['select'] = linkOut($action_key);

		$action_key['act'] = 'AdminUser/jsonAdminUser';
		$link_array['json'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function Cache_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'CacheMange/saveCacheMange';
		$link_array['save'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function AdminLog_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'AdminUserLog/listAdminUserLog';
		$action_key['admin_member_id'] = $array['admin_member_id'];
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'AdminUserLog/listAdminUserLog';
		$action_key_list['admin_member_id'] = $array['admin_member_id'];
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'AdminUserLog/clearAdminUserLog';
		$link_array['clear'] = linkOut($action_key);

		$action_key['act'] = 'AdminUserLog/saveAdminUserLog';
		$link_array['save'] = linkOut($action_key);

		$action_key_del['act'] = 'AdminUserLog/delAdminUserLog';
		$link_array['batdel'] = linkOut($action_key_del);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function SiteGroup_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'SiteGroup/listSiteGroup';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'SiteGroup/listSiteGroup';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'SiteGroup/addSiteGroup';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'SiteGroup/editSiteGroup';
		$action_key_edit['slid'] = $array['slid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key['act'] = 'SiteGroup/saveSiteGroup';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'SiteGroup/delSiteGroup';
		$link_array['batdel'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function LanguageSite_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'LanguageSite/listLanguageSite';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'LanguageSite/listLanguageSite';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'LanguageSite/addLanguageSite';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'LanguageSite/editLanguageSite';
		$action_key_edit['lan_id'] = $array['lan_id'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key_copy['act'] = 'LanguageSite/copyLanguagePack';
		$action_key_copy['lan_id'] = $array['lan_id'];
		$link_array['copy_pack'] = linkOut($action_key_copy);

		$action_key_copy['act'] = 'LanguageSite/copyTemplatePack';
		$action_key_copy['lan_id'] = $array['lan_id'];
		$link_array['copy_template'] = linkOut($action_key_copy);

		$action_key['act'] = 'LanguageSite/saveLanguageSite';
		$link_array['save'] = linkOut($action_key);

		$action_key_creat['act'] = 'LanguageSite/creatIndexFile';
		$action_key_creat['lan_id'] = $array['lan_id'];
		$link_array['creat'] = linkOut($action_key_creat);

		$action_key['act'] = 'LanguageSite/setLanguageSite';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'LanguageSite/delLanguageSite';
		$link_array['batdel'] = linkOut($action_key);

		$action_key['act'] = 'LanguageSite/verifyLanguageSite';
		$link_array['verify'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function LanguagePack_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'LanguagePack/listLanguagePack';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'LanguagePack/listLanguagePack';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'LanguagePack/addLanguagePack';
		$link_array['add'] = linkOut($action_key);

		$action_key_edit['act'] = 'LanguagePack/editLanguagePack';
		$action_key_edit['lpid'] = $array['lpid'];
		$link_array['edit'] = linkOut($action_key_edit);

		$action_key_edit['act'] = 'LanguagePack/addLanguagePack';
		$action_key_edit['lpid'] = $array['lpid'];
		$action_key_edit['type'] = 'copy';
		$link_array['copyadd'] = linkOut($action_key_edit);

		$action_key['act'] = 'LanguagePack/saveLanguagePack';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'LanguagePack/setLanguagePack';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'LanguagePack/delLanguagePack';
		$link_array['batdel'] = linkOut($action_key);

		$action_key['act'] = 'LanguagePack/verifyLanguagePack';
		$link_array['verify'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function SettingMain_link_array($linkcode = false, $array = array()) {
		$link_array = array();

		$action_key_list['act'] = 'SettingMain/editSetting';
		$link_array['base'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 2;
		$link_array['article'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 3;
		$link_array['upload'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 4;
		$link_array['safety'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 5;
		$link_array['time'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 6;
		$link_array['weixin'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 7;
		$link_array['moblie'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 8;
		$link_array['email'] = linkOut($action_key_list);

		$action_key_list['act'] = 'SettingMain/editSetting';
		$action_key_list['config_category_id'] = 9;
		$link_array['seapoa'] = linkOut($action_key_list);

		$action_key['act'] = 'SettingMain/saveSettingMain';
		$link_array['save'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function FileManage_link_array($linkcode = false, $array = array()) {
		$link_array = array();

		$action_key['act'] = 'FileManage/fileManageDialogbox';
		$action_key['upfileType'] = $array['upfileType'];
		$action_key['selectnum'] = $array['selectnum'];
		$action_key['iframes_name'] = $array['iframes_name'];
		$link_array['dialog'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/uploadFile';
		$link_array['upfile'] = linkOut($action_key);

		$action_key_bat['act'] = 'FileManage/uploadFile';
		$action_key_bat['windowType'] = 'bat';
		$action_key_bat['upfileType'] = $array['upfileType'];
		$action_key_bat['selectnum'] = $array['selectnum'];
		$action_key_bat['iframes_name'] = $array['iframes_name'];
		$link_array['batupfile'] = linkOut($action_key_bat);

		$action_key['act'] = 'FileManage/uploadFileSave';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/photoIndex';
		$link_array['photoindex'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/photoList';
		$link_array['photolist'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/listFileManage';
		$action_key['viewtype'] = 'dialog';
		$link_array['dirindex'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function myfile_link_array($linkcode = false, $array = array()) {
		$link_array = array();

		$action_key['act'] = 'FileManage/listFileManage';
		$action_key['viewtype'] = $array['viewtype'];
		$action_key['upfileType'] = $array['upfileType'];
		$link_array['index'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/uploadFile';
		$link_array['upfile'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/addFileDir';
		$link_array['adddir'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/importFile';
		$link_array['import'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/checkFile';
		$link_array['check'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/editFileDir';
		$link_array['editdir'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/delFileDir';
		$link_array['deldir'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/moverFile';
		$link_array['mover'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/saveFileDir';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'FileManage/delFile';
		$link_array['delfile'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function Extensions_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'Extensions/listExtensions';
		$link_array['index'] = linkOut($action_key);

		$action_key_list['act'] = 'Extensions/listExtensions';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'Extensions/marketExtensions';
		$link_array['market'] = linkOut($action_key);

		$action_key_list['act'] = 'Extensions/marketExtensions';
		$action_key_list['out_type'] = 'list';
		$link_array['market_list'] = linkOut($action_key_list);

		$action_key['act'] = 'Extensions/viewExtensions';
		$link_array['view'] = linkOut($action_key);

		$action_key['act'] = 'Extensions/resetExtensions';
		$link_array['reset'] = linkOut($action_key);

		$action_key['act'] = 'Extensions/delExtensions';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'Extensions/setExtensions';
		$link_array['set'] = linkOut($action_key);

		$action_key['act'] = 'Extensions/updateExtensions';
		$link_array['update'] = linkOut($action_key);

		$action_key['act'] = 'Extensions/executeExtensionsUpdatePack';
		$link_array['execute'] = linkOut($action_key);

		$action_key['act'] = 'Extensions/viewExtensionsUpdatePack';
		$link_array['viewpack'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function Database_link_array($linkcode = false, $array = array()) {
		$link_array = array();

		$action_key_list['act'] = 'Database/indexBase';
		$link_array['index'] = linkOut($action_key_list);
		$action_key_list['act'] = 'Database/listDatabase';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);

		$action_key['act'] = 'Database/backDatabase';
		$link_array['bak'] = linkOut($action_key);

		$action_key['act'] = 'Database/recoverDatabase';
		$action_key['type'] = 'recover';
		$link_array['recover'] = linkOut($action_key);

		$action_key['act'] = 'Database/saveDatabase';
		$link_array['save'] = linkOut($action_key);

		$action_key['act'] = 'Database/recoverDatabase';
		$action_key['type'] = 'del';
		$link_array['delfile'] = linkOut($action_key);

		$action_key['act'] = 'Database/delDatabase';
		$link_array['del'] = linkOut($action_key);

		$action_key['act'] = 'Database/optimizeDatabase';
		$action_key['dbtable'] = $array['Name'];
		$link_array['opt'] = linkOut($action_key);

		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function join_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'Portal/Join';
		$link_array['join'] = linkOut($action_key);
		$action_key['act'] = 'MainCenter/ViewService';
		$link_array['show'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
